Bug 431868 - mounting CIFS subshare doesn't autoconvert prepath delimiters
mounting CIFS subshare doesn't autoconvert prepath delimiters
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jeff Layton
Martin Jenner
: Reopened
: 446433 (view as bug list)
Depends On: 370501
Blocks: 447569
  Show dependency treegraph
 
Reported: 2008-02-07 10:06 EST by Jeff Layton
Modified: 2010-04-28 09:51 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:14:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch -- add routine to convert delimiters on the fly (2.05 KB, patch)
2008-02-07 10:53 EST, Jeff Layton
no flags Details | Diff

  None (edit)
Comment 1 Jeff Layton 2008-02-07 10:23:57 EST
Looks like this has caused a regression when posix extensions are enabled. Even
though mount.cifs uses '/' as a prefixpath delimiter, 
Comment 2 RHEL Product and Program Management 2008-02-07 10:28:43 EST
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being proposed as a blocker for this release.  

Please resolve ASAP.
Comment 3 Jeff Layton 2008-02-07 10:42:23 EST
Note that this regression is actually caused by a userspace mount.cifs patch.
While the userspace patch fixes the situation where we're mounting a subshare of
a mount without posix extensions, it breaks this when posix extensions are enabled.

We have 2 choices -- pull the patch from samba for 5.2 and leave non-posix
mounts in a broken state, or try to fix this in kernel. I think fixing this in
kernel is probably the best solution, but if there are time constraints we can
go with the first option.

The fix shouldn't be terribly difficult. I'll hopefully have a patch later today.

Comment 4 Jeff Layton 2008-02-07 10:53:12 EST
Created attachment 294220 [details]
patch -- add routine to convert delimiters on the fly

This patch seems to fix it. There may be cleaner ways to do this using some of
the string handling routines built into the kernel though. I want to do a bit
more testing on this and make sure we're not breaking any other cases. Once I
do I'll plan to email Steve French on this and see if he can review it quickly
for us.

If so, it would be good to get this into a 5.2 respin (if there is one).
Comment 5 Jeff Layton 2008-02-07 11:45:09 EST
Patch sent to upstream list and Steve F. Awaiting his response...
Comment 6 RHEL Product and Program Management 2008-02-08 15:48:40 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Jeff Layton 2008-02-14 13:45:57 EST
We've decided to pull the problem patch from Samba for 5.2 and focus on getting
this fixed the right way upstream. That probably won't happen until 5.3 though,
so resetting this for 5.3.
Comment 8 RHEL Product and Program Management 2008-02-14 13:55:25 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 
Comment 9 Jeff Layton 2008-03-10 16:51:51 EDT
The upstream patch ended up looking quite a bit different than what was
originally proposed. I've also posted an updated userspace patch and an update
to the manpage to the upstream lists today.
Comment 10 RHEL Product and Program Management 2008-06-19 10:25:06 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 12 Don Zickus 2008-09-12 21:46:30 EDT
in kernel-2.6.18-113.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 14 Jeff Layton 2008-11-04 12:00:27 EST
*** Bug 446433 has been marked as a duplicate of this bug. ***
Comment 16 errata-xmlrpc 2009-01-20 15:14:16 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.